<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        //         ## Теоретичні питання

        // 1. Які існують типи даних у Javascript?
        //number
        //string
        //NaN
        //undefind
        //boolean
        //null

        // 2. У чому різниця між == і ===?
        // == ми використовуєм коли треба прирівняти і привезти до однакового типу данних.
        // === використовується коли треба прирівняти і при цьому не приводити до однакового типу данних.

        // 3. Що таке оператор?
        // За допомогою операторів ми даєм команду на виконнання дії для наших елементів(наприклад додавання чи множення)


        // ## Завдання

        // Реалізувати просту програму на Javascript, яка взаємодіятиме з користувачем за допомогою модальних вікон браузера - `alert`, `prompt`, `confirm`. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.


        // - Отримати за допомогою модального вікна браузера дані користувача: ім'я та вік.
        //- Якщо вік менше 18 років - показати на екрані повідомлення: `You are not allowed to visit this website`.
        //- Якщо вік від 18 до 22 років (включно) – показати вікно з наступним повідомленням: `Are you sure you want to continue?` і кнопками `Ok`, `Cancel`. Якщо користувач натиснув `Ok`, показати на екрані повідомлення: `Welcome, ` + ім'я користувача. Якщо користувач натиснув `Cancel`, показати на екрані повідомлення: `You are not allowed to visit this website`.
        //- Якщо вік більше 22 років – показати на екрані повідомлення: `Welcome, ` + ім'я користувача.
        //- Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
        //- Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів ім'я, або при введенні віку вказав не число - запитати ім'я та вік наново (при цьому дефолтним значенням для кожної зі змінних має бути введена раніше інформація).


        let userName = prompt('Your name?');
        let userAge = prompt('Your age?');

        while (isNaN(userAge)) {
            userAge = prompt('Your age?', userAge);
        }

        userAge = +userAge;

        while (!userName) {
            userName = prompt('Your name?', userName);
        }

        if (userAge < 18)
            alert(`You are not allowed to visit this website`);
        else if (userAge >= 23)
            alert(`Welcome ` + userName)
        else if (userAge >= 18 || userAge <= 22) {
            let user = confirm(`Are you sure you want to continue?`);
            if (user) {
                alert(`Welcome ` + userName)
            } else {
                alert(`You are not allowed to visit this website`)
            }
        }
    </script>
</body>

</html>